> # NAME

> cgD3D10GetDevice - retrieves the current D3D10 device associated with a context

> # SYNOPSIS

>       #include <Cg/cgD3D10.h>

>       ID3D10Device * cgD3D10GetDevice( CGcontext context );

> # PARAMETERS

> context

>   The context from which to get the current device.

> # RETURN VALUES

> Returns the current D3D10 device associated with context.

> # DESCRIPTION

> cgD3D10GetDevice retrieves the current D3D10 device associated with context. Note that the returned device pointer may be NULL.

> # EXAMPLES

>       ID3D10Device* curDevice = cgD3D10GetDevice(ctx);

> # ERRORS

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> # HISTORY

> cgD3D10GetDevice was introduced in Cg 2.1.

> # SEE ALSO

> cgD3D10SetDevice